#include "AsfInputStream.h"
#include "AsfFileInputStream.h"
#include "AsfRedirectInputStream.h"
#include "AsfNetworkInputStream.h"

ASFInputStream* ASFInputStream::create(const char* pszFile)
{
    try
    {
	return new ASFFileInputStream(pszFile);
    }
    catch(...)
    {
    }
/*
    try
    {
	return new ASFRedirectInputStream(pszFile);
    }
    catch(...)
    {
    }
    return new ASFNetworkInputStream(pszFile);
*/
    return new ASFRedirectInputStream(pszFile);
}
